Name:		perl-Convert-Age
Version:	0.04
Release:	1%{?dist}
Summary:	Perl module that converts integer seconds into a "compact" form and back

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Convert-Age
Source0:	http://search.cpan.org/CPAN/authors/id/C/CF/CFEDDE/Convert-Age-%{version}.tar.gz


BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Exporter)


Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))


%description
This is a rather simple perl module for dealing with time intervals. 
Convert 189988007 seconds to compact form: 6y7d10h26m47s
Convert compact 5h37m5s to seconds: 20225


%prep
%setup -q -n Convert-Age-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jan 23 2013 Normunds Neimanis <fedorapkg at rule.lv> 0.04-1
- Package for current Fedora
